#ifndef _USER_CONFIG_H_
#define _USER_CONFIG_H_

#define CFG_HOLDER	0x00FF55A4	/* Change this value to load default configurations */
#define CFG_LOCATION	0x3C	/* Please don't change or if you know what you doing */
#define CLIENT_SSL_ENABLE

/*DEFAULT CONFIGURATIONS*/

//#define MQTT_HOST			"192.168.178.51" 	// Raspi WLAN
//#define MQTT_HOST			"192.168.178.52" 	// Raspi
//#define MQTT_HOST			"192.168.178.62"	// Walter
#define MQTT_HOST			"192.168.178.47"	// Carsten
#define MQTT_PORT			1883
#define MQTT_BUF_SIZE		1024
#define MQTT_KEEPALIVE		120	 /*second*/

#define MQTT_CLIENT_ID		"ESP01"
#define MQTT_TOPIC			"ESP"
#define MQTT_USER			"aktor"
#define MQTT_PASS			"pass"

#define STA_SSID "FRITZ!Box 7490"
#define STA_PASS "37718988260159195185"
#define STA_TYPE AUTH_WPA_WPA2_PSK			//wib
//#define STA_TYPE AUTH_WPA2_PSK

#define MQTT_RECONNECT_TIMEOUT 	5	/*second*/

#define DEFAULT_SECURITY	0
#define QUEUE_BUFFER_SIZE		 		2048

#define PROTOCOL_NAMEv31	/*MQTT version 3.1 compatible with Mosquitto v0.15*/
//PROTOCOL_NAMEv311			/*MQTT version 3.11 compatible with https://eclipse.org/paho/clients/testing/*/
#endif

#define DELAY 5000	/* milliseconds */
